STRSTR(3)

NAME
strstr, strcasestr - locate a substring in a string

LIBRARY
libc

SYNOPSIS
#include <string.h>
char *
strstr(const char *big, const char *little);
char *
strcasestr(const char *big, const char *little);

DESCRIPTION
The strstr() function locates the first occurrence of the nul-terminated string little in the nul-terminated string big.

The strcasestr() function is similar to strstr(), but ignores the case of both strings.

RETURN VALUES
If little is an empty string, big is returned; if little occurs nowhere in big, NULL is returned; otherwise a pointer to the first character of the first occurrence of little is returned.

EXAMPLES
The following sets the pointer ptr to the "Bar Baz" portion of largestring:

    const char *largestring = "Foo Bar Baz";
    const char *smallstring = "Bar";
    char *ptr;
    ptr = strstr(largestring, smallstring);

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strtok(3)

STANDARDS
The strstr() function conforms to isoC.